Ogre::CategorisedAllocPolicy< Cat > Class Template Reference

`#include <OgreMemoryAllocatorConfig.h>`

Inheritance diagram for Ogre::CategorisedAllocPolicy< Cat >:
[legend]

List of all members.

## Static Public Member Functions

static void * | allocateBytes (size_t count, const char *file=0, int line=0, const char *func=0)
static void | deallocateBytes (void *ptr)
static size_t | getMaxAllocationSize ()
| Get the maximum size of a single allocation.

## Detailed Description

### template<MemoryCategory Cat>
class Ogre::CategorisedAllocPolicy< Cat >

Definition at line 200 of file OgreMemoryAllocatorConfig.h.

## Member Function Documentation

static void* Ogre::NedPoolingPolicy::allocateBytes | ( | size_t | count,
|  | const char * | file = `0`,
|  | int | line = `0`,
|  | const char * | func = `0`
| ) |  | `[static, inherited]`

Definition at line 68 of file OgreMemoryNedPooling.h.

References Ogre::NedPoolingImpl::allocBytes().

static void Ogre::NedPoolingPolicy::deallocateBytes | ( | void * | ptr | ) | `[static, inherited]`

Definition at line 73 of file OgreMemoryNedPooling.h.

References Ogre::NedPoolingImpl::deallocBytes().

static size_t Ogre::NedPoolingPolicy::getMaxAllocationSize | ( |  | ) | `[static, inherited]`

Get the maximum size of a single allocation.

Definition at line 78 of file OgreMemoryNedPooling.h.

The documentation for this class was generated from the following file:

- OgreMemoryAllocatorConfig.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:31